Skip to main content
GET
/
v1
/
users
/
{userId}
/
transactions
Get Transactions
curl --request GET \
  --url https://api.cadanapay.com/v1/users/{userId}/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "d0137ede-7df1-4a54-8206-b3ab7b03876f",
      "type": "payout",
      "beneficiaryId": "c871b333-e129-409c-aabd-7cfb55a967cc",
      "quoteId": "d35d2bd6-188b-4e82-9a16-71442dad7375",
      "reference": "c06f3427-3bbe-4d70-9a54-28acda267e48",
      "amount": {
        "value": "10.00",
        "currency": "USD"
      },
      "sourceAmount": {
        "value": "10.00",
        "currency": "USD"
      },
      "feeAmount": {
        "value": "10.00",
        "currency": "USD"
      },
      "fxRate": "56.1234",
      "status": "succeeded",
      "createdTimestamp": 1748478276,
      "lastUpdatedTimestamp": 1748478276
    }
  ],
  "node": {
    "previous": "<string>",
    "next": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

userId
string<uuid>
required

The unique identifier for the user

Response

List of transactions

data
object[]
node
object

Node pagination